
import datetime
import random
import json

def generate_random_date(start_date, end_date):
    """
    Generate a random date between start_date and end_date (inclusive).

    :param start_date: The start date in the format YYYY-MM-DD.
    :param end_date: The end date in the format YYYY-MM-DD.
    :return: A random date as a datetime.date object.
    """
    start = datetime.datetime.strptime(start_date, "%Y-%m-%d").date()
    end = datetime.datetime.strptime(end_date, "%Y-%m-%d").date()
    delta = end - start
    random_number_of_days = random.randrange(delta.days)
    random_date = start + datetime.timedelta(days=random_number_of_days)
    return random_date



